# Scene Workspaces - Add-On

![Overview image](assets/Preview%20Image.png)

## Overview

**Scene Workspaces** creates an alternative workspaces topbar, allowing you to filter and reorder the avaliable workspaces, scene by scene.  

Basically, you can decide which workspace you want to link to each scene.

> This is possible thanks to a custom property in each scene (which is saved with your .blend file) listing the filtered and ordered list of workspaces linked to the scene.  

Some optional you can update from add-on preferences:
- Switch to show/hide Scene Workspaces custom topbar (to quickly see all workspaces)
- Option for Compact UI (default ON)


## Why this add-on?

In Blender, workspaces are common across scenes.

Still, you may need different workspaces in different scenes, depending on the purpose of the scene.

*For example, you may want a scene with workspaces optimized for modelling and
another Scene optimized for Video Editing, in the same project.*

## Changelog

Visit the [CHANGELOG](./CHANGELOG.md) file to see the changes over new version.  

## Copyright

This add-on is developed under GPL-3.0 license by Francesco Bellini from 2024.  
*See the [LICENSE](./LICENSE) file.*
